;
; Číselník exportu na ARK ČR.
;
; Odvozeno od exportu na Sreality.
;
[listing]
zakazka_typ.column = 'advert_function'
zakazka_typ.type = 'int'
zakazka_typ.unset[] = 3

nemovitost_cena_prodej.column = 'advert_price'
nemovitost_cena_prodej.type = 'float'
nemovitost_cena_prodej.value = '@zakazka_typ == 1 ? @this : @nemovitost_cena_pronajem'

nemovitost_mena.column = 'advert_price_currency'
nemovitost_mena.type = 'int'

nemovitost_cena_prodej_jednotka.column = 'advert_price_unit'
nemovitost_cena_prodej_jednotka.type = 'int'
nemovitost_cena_prodej_jednotka.value = '@zakazka_typ == 1 ? @this : @nemovitost_cena_pronajem_jednotka'


; informace o poplatcích a provizi neposíláme, protože je s jistotou nevíme
; advert_price_charge
; advert_price_commission

nemovitost_typ.column = 'advert_type'
nemovitost_typ.type = 'int'
nemovitost_typ.convert.1 = 4 ; Zemědělské objekty
nemovitost_typ.convert.2 = 4 ; Komerční objekty
nemovitost_typ.convert.4 = 1 ; Byty
nemovitost_typ.convert.5 = 2 ; Historické objekty
nemovitost_typ.convert.6 = 2 ; Domy a vily
nemovitost_typ.convert.7 = 4 ; Hotely, penziony a restaurace
nemovitost_typ.convert.8 = 4 ; Nájemní domy
nemovitost_typ.convert.9 = 4 ; Komerční prostory
nemovitost_typ.convert.10 = 5 ; Chaty a rekreační objekty
nemovitost_typ.convert.11 = 5 ; Malé objekty, garáže

nemovitost_popis_detailni.column = 'description'
nemovitost_popis_detailni.type = 'string'
nemovitost_popis_detailni.value = '@nemovitost_popis_zakladni @this'

advert_id.column = 'advert_id'
advert_id.type = 'int'
advert_id.value = 0

kod.column[] = 'advert_rkid'
kod.column[] = 'advert_code'
kod.type = 'string'

; =: znamená, že si podtypy odpovídají
advert_subtype.column = 'advert_subtype'
advert_subtype.type = 'int'
advert_subtype.value = '@nemovitost_typ'
advert_subtype.unset = 'inList<@nemovitost_typ, 5, 6, 8> ? @null : @_convertedValue'
advert_subtype.convert.5 = 35 ; Historické objekty =:
advert_subtype.convert.6 = 37 ; Domy a vily =:
advert_subtype.convert.8 = 38 ; Nájemní domy =:

nemovitost_dispozice.column = 'advert_subtype'
nemovitost_dispozice.type = 'int'
nemovitost_dispozice.unset = '@nemovitost_typ == 4 ? @null : @this'
nemovitost_dispozice.convert.3 = 4 ; 2+kk =:
nemovitost_dispozice.convert.4 = 6 ; 3+kk =:
nemovitost_dispozice.convert.5 = 8 ; 4+kk =:
nemovitost_dispozice.convert.6 = 10 ; 5+kk =:
nemovitost_dispozice.convert.7 = 12 ; 6+kk =:
nemovitost_dispozice.convert.8 = 14 ; 7+kk =:
nemovitost_dispozice.convert.9 = 3 ; 1+1 =:
nemovitost_dispozice.convert.10 = 5 ; 2+1 =:
nemovitost_dispozice.convert.11 = 7 ; 3+1 =:
nemovitost_dispozice.convert.12 = 9 ; 4+1 =:
nemovitost_dispozice.convert.13 = 11 ; 5+1 =:
nemovitost_dispozice.convert.14 = 13 ; 6+1 =:
nemovitost_dispozice.convert.15 = 15 ; 7+1 =:
nemovitost_dispozice.convert.16 = 16 ; Atypický =:
nemovitost_dispozice.convert.17 = 16 ; Jiný =:

nemovitost_zemedelsky_objekt_podtyp.column = 'advert_subtype'
nemovitost_zemedelsky_objekt_podtyp.type = 'int'
nemovitost_zemedelsky_objekt_podtyp.unset = '@nemovitost_typ == 1 ? @null : @_convertedValue'
nemovitost_zemedelsky_objekt_podtyp.value = '31'; =:

nemovitost_druh_pozemku.column = 'advert_subtype'
nemovitost_druh_pozemku.type = 'int'
nemovitost_druh_pozemku.unset = '@nemovitost_typ == 3 ? @null : @this'
nemovitost_druh_pozemku.convert.1 = 18 ; Pro komerční výstavbu =:
nemovitost_druh_pozemku.convert.2 = 19 ; Pro bydlení =:
nemovitost_druh_pozemku.convert.3 = 20 ; Zemědělská =:
nemovitost_druh_pozemku.convert.4 = 21 ; Les =:
nemovitost_druh_pozemku.convert.5 = 22 ; Trvalý travní porost =:
nemovitost_druh_pozemku.convert.6 = 23 ; Zahrada =:
nemovitost_druh_pozemku.convert.7 = 24 ; Ostatní =:

nemovitost_ucel_budovy.column = 'advert_subtype'
nemovitost_ucel_budovy.type = 'int'
nemovitost_ucel_budovy.unset = '@nemovitost_typ == 2 ? @null : @this'
nemovitost_ucel_budovy.convert.1 = 26 ; Sklad =:
nemovitost_ucel_budovy.convert.2 = 27 ; Výroba =:
nemovitost_ucel_budovy.convert.3 = 28 ; Obchodní centrum =:
nemovitost_ucel_budovy.convert.4 = 28 ; Nákupní středisko =:
nemovitost_ucel_budovy.convert.5 = 27 ; Průmyslový areál ~ Výroba
nemovitost_ucel_budovy.convert.6 = 32 ; Jiný =:
nemovitost_ucel_budovy.convert.7 = 25 ; Administrativní budova =:

nemovitost_typ_zarizeni.column = 'advert_subtype'
nemovitost_typ_zarizeni.type = 'int'
nemovitost_typ_zarizeni.unset = '@nemovitost_typ == 7 ? @null : @this'
nemovitost_typ_zarizeni.convert.1 = 29 ; Hotel =:
nemovitost_typ_zarizeni.convert.2 = 29 ; Penzion =:
nemovitost_typ_zarizeni.convert.3 = 30 ; Restaurace =:

nemovitost_druh_prostor.column = 'advert_subtype'
nemovitost_druh_prostor.type = 'int'
nemovitost_druh_prostor.unset = '@nemovitost_typ == 9 ? @null : @this'
nemovitost_druh_prostor.convert.1 = 25 ; Kanceláře =:
nemovitost_druh_prostor.convert.2 = 28 ; Obchodní =:
nemovitost_druh_prostor.convert.3 = 26 ; Skladovací =:
nemovitost_druh_prostor.convert.4 = 32 ; Jiné =:
nemovitost_druh_prostor.convert.5 = 27 ; Výrobní =:

nemovitost_typ_rekreacniho_objektu.column = 'advert_subtype'
nemovitost_typ_rekreacniho_objektu.type = 'int'
nemovitost_typ_rekreacniho_objektu.unset = '@nemovitost_typ == 10 ? @null : @this'
nemovitost_typ_rekreacniho_objektu.convert.1 = 33 ; =:
nemovitost_typ_rekreacniho_objektu.convert.2 = 43 ; =:
nemovitost_typ_rekreacniho_objektu.convert.3 = 33 ; =:

nemovitost_typ_maleho_objektu.column = 'advert_subtype'
nemovitost_typ_maleho_objektu.type = 'int'
nemovitost_typ_maleho_objektu.unset = '@nemovitost_typ == 11 ? @null : @this'
nemovitost_typ_maleho_objektu.convert.1 = 34 ; =:
nemovitost_typ_maleho_objektu.convert.2 = 36 ; =:
nemovitost_typ_maleho_objektu.convert.3 = 34 ; =:
nemovitost_typ_maleho_objektu.convert.4 = 36 ; Vinný sklípek > Ostatní - jiný

nemovitost_plocha_parcely.column = 'estate_area'
nemovitost_plocha_parcely.type = 'int'

nemovitost_plocha_celkova_pozemek.column = 'estate_area'
nemovitost_plocha_celkova_pozemek.type = 'int'
nemovitost_plocha_celkova_pozemek.value = '@nemovitost_plocha_celkova'
nemovitost_plocha_celkova_pozemek.unset = '@nemovitost_typ == 3 ? @null : @_convertedValue'

nemovitost_vlastni_pozemek.column = 'estate_area'
nemovitost_vlastni_pozemek.type = 'int'
nemovitost_vlastni_pozemek.unset = '@nemovitost_typ == 4 ? @null : @_convertedValue'

nemovitost_podlazi_cislo.column = 'floor_number'
nemovitost_podlazi_cislo.type = 'int'

nemovitost_vlastnictvi.column = 'ownership'
nemovitost_vlastnictvi.type = 'int'

id_uzivatel.column = 'seller_rkid'
id_uzivatel.type = 'string'

nemovitost_plocha_uzitna.column = 'usable_area'
nemovitost_plocha_uzitna.type = 'int'

nemovitost_plocha_uzitna_komercni_objekty_a_prostory.column = 'usable_area'
nemovitost_plocha_uzitna_komercni_objekty_a_prostory.type = 'int'
nemovitost_plocha_uzitna_komercni_objekty_a_prostory.value = '@nemovitost_plocha_uzitna > 0 ? @nemovitost_plocha_uzitna : @nemovitost_plocha_celkova'
nemovitost_plocha_uzitna_komercni_objekty_a_prostory.unset = 'inList<@nemovitost_typ, 2, 9> ? @null : @_convertedValue'

nemovitost_plocha_uzitna_male_objekty_a_garaze.column = 'usable_area'
nemovitost_plocha_uzitna_male_objekty_a_garaze.type = 'int'
nemovitost_plocha_uzitna_male_objekty_a_garaze.value = '@nemovitost_plocha_uzitna > 0 ? @nemovitost_plocha_uzitna : @nemovitost_plocha_zastavena'
nemovitost_plocha_uzitna_male_objekty_a_garaze.unset = 'inList<@nemovitost_typ, 11> ? @null : @_convertedValue'

; pokud je vyplněná užitná i celková; posíláme celkovou jako floor_area jinak jako usable_area
nemovitost_plocha_celkova_byty.column = '@nemovitost_plocha_uzitna > 0 ? floor_area : usable_area'
nemovitost_plocha_celkova_byty.type = 'int'
nemovitost_plocha_celkova_byty.value = '@nemovitost_plocha_celkova'
nemovitost_plocha_celkova_byty.unset = 'inList<@nemovitost_typ, 4> ? @null : @_convertedValue'

nemovitost_cena_poznamka.column = 'advert_price_text_note'
nemovitost_cena_poznamka.type = 'string'

nemovitost_elektrina.column = 'electricity'
nemovitost_elektrina.type = 'int'

; + převod v PHP
nemovitost_odpad.column = 'gully'
nemovitost_odpad.type = 'int'

nemovitost_uir_obec_kod.column = 'lc5id'
nemovitost_uir_obec_kod.type = 'int'

nemovitost_uir_cobce_kod.column = 'lc7id'
nemovitost_uir_cobce_kod.type = 'int'
nemovitost_uir_cobce_kod.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'

nemovitost_uir_ulice_kod.column = 'lc9id'
nemovitost_uir_ulice_kod.type = 'int'
nemovitost_uir_ulice_kod.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'

; brokerage - neposíláme, protože nemusí být určitelné (když je provize mimo číselník)
; private - neveřejné zakázky nejde z Maxisu exportovat

nemovitost_titulek.column = 'title'
nemovitost_titulek.type = 'string'

urlestatedetail.column = 'urlestatedetail'
urlestatedetail.type = 'string'
